use sys::{ImPlotRect, ImVec4};

use crate::sys;

pub fn drag_rect(rect: &mut ImPlotRect) {
	unsafe {
		sys::ImPlot_DragRect(
			0,
			&mut rect.X.Min,
			&mut rect.Y.Min,
			&mut rect.X.Max,
			&mut rect.Y.Max,
			ImVec4 {
				x: 1.0,
				y: 0.0,
				z: 1.0,
				w: 0.4,
			},
			0,
		);
	}
}
